Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005804 [JEDI VCL] 00 JVCL Components major always 2012-02-22 17:29 2012-09-10 14:15
Reporter Regis CLUSEAU View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.45
Summary 0005804: TJvMemory LoadFromDataset does not copy Null Value
Description When doing LoadFromDataset from source to destination JvMemory tables when a date is null on the source it becomes 30/12/1899 on the destination. It was working fine whith the version 3.40
Additional Information
Tags No tags attached.
Attached Files zip file icon PBJvMemory.zip [^] (88,343 bytes) 2012-02-23 09:50

- Relationships
related to 0005887resolvedobones TJvDBGrid displays NULL in DateTime field as 30.12.1899 
has duplicate 0005882resolvedobones AssignRecord is does not copy NULL values 

-  Notes
(0019482)
obones (administrator)
2012-02-23 09:09

Please provide the zipped sources of a sample application showing this
(0019488)
Regis CLUSEAU (reporter)
2012-02-23 09:52

This example is Self explanatory
(0019776)
altaveron (reporter)
2012-05-21 16:57

The same issue: 0005887

When it will be fixed?
(0019806)
Arioch (developer)
2012-06-06 23:42

Frankly guys, what would you need it ?
It was great in Delphi 1 times in 1995.
But now ?

You have TClientDataset.
You have TList<any-record-type-u-want>
You have Nexus, Firebird, SQLight and god knows what more in-memory databases.

Why would you need this ?


Few years ago i implemented Master-detail for TDBF component, and i never ever want to dig into TDataSet descendant eve more.

In the project i am tasked now i would check each place where i would meet this component: usually it is abused more than used and is fair game to be cleaned out.
(0019807)
Arioch (developer)
2012-06-06 23:43
edited on: 2012-06-06 23:44

BTW, guys! you need it - you fix it!
Afterall it is opensource - eat one's own food, scratch your itch, etc.

Say, altaveron, when it will be fixed ?

(0019924)
obones (administrator)
2012-06-12 15:53

This is now fixed in SVN

- Issue History
Date Modified Username Field Change
2012-02-22 17:29 Regis CLUSEAU New Issue
2012-02-23 09:09 obones Note Added: 0019482
2012-02-23 09:09 obones Status new => feedback
2012-02-23 09:50 Regis CLUSEAU File Added: PBJvMemory.zip
2012-02-23 09:52 Regis CLUSEAU Note Added: 0019488
2012-05-21 16:57 altaveron Issue Monitored: altaveron
2012-05-21 16:57 altaveron Note Added: 0019776
2012-06-06 09:49 obones Relationship added related to 0005887
2012-06-06 23:42 Arioch Note Added: 0019806
2012-06-06 23:43 Arioch Note Added: 0019807
2012-06-06 23:44 Arioch Note Edited: 0019807
2012-06-11 17:34 obones Relationship added has duplicate 0005882
2012-06-11 17:37 obones Status feedback => acknowledged
2012-06-12 15:53 obones Note Added: 0019924
2012-06-12 15:53 obones Status acknowledged => resolved
2012-06-12 15:53 obones Fixed in Version => Daily / SVN
2012-06-12 15:53 obones Resolution open => fixed
2012-06-12 15:53 obones Assigned To => obones
2012-09-10 14:15 obones Fixed in Version Daily / SVN => 3.46
2013-08-06 21:02 altaveron Issue End Monitor: altaveron


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker